# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/usb/fsl,ls1028a.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Freescale layerscape SuperSpeed DWC3 USB SoC controller

maintainers:
  - Frank Li <Frank.Li@nxp.com>

properties:
  compatible:
    oneOf:
      - items:
          - enum:
              - fsl,ls1012a-dwc3
              - fsl,ls1043a-dwc3
              - fsl,ls1046a-dwc3
              - fsl,ls1088a-dwc3
              - fsl,ls208xa-dwc3
              - fsl,lx2160a-dwc3
          - const: fsl,ls1028a-dwc3
      - const: fsl,ls1028a-dwc3

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  iommus:
    maxItems: 1

  dma-coherent: true

unevaluatedProperties: false

required:
  - compatible
  - reg
  - interrupts

allOf:
  - $ref: snps,dwc3-common.yaml#

examples:
  - |
    #include <dt-bindings/interrupt-controller/arm-gic.h>

    usb@fe800000 {
        compatible = "fsl,ls1028a-dwc3";
        reg = <0xfe800000 0x100000>;
        interrupts = <GIC_SPI 105 IRQ_TYPE_LEVEL_HIGH>;
    };
